From 17b22bacc9451ed32405029c2711128a6af938f4 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Mar 09 2017 18:08:13 +0000
Subject: [PATCH 789/1001] Prepare a React component for the hub config panel


---

diff --git a/hubs/static/client/app/core/HubConfig.jsx b/hubs/static/client/app/core/HubConfig.jsx
new file mode 100644
index 0000000..0471611
--- /dev/null
+++ b/hubs/static/client/app/core/HubConfig.jsx
@@ -0,0 +1,22 @@
+import React from 'react';
+import Panel from '../components/Panel.jsx';
+
+
+
+export default class HubConfig extends React.Component {
+
+  //constructor(props) {
+  //  super(props);
+  //}
+
+  render() {
+    return (
+      <Panel/>
+    );
+  }
+
+}
+
+
+
+// vim: set ts=2 sw=2 et:
diff --git a/hubs/static/client/app/core/Hubs.js b/hubs/static/client/app/core/Hubs.js
new file mode 100644
index 0000000..87768e9
--- /dev/null
+++ b/hubs/static/client/app/core/Hubs.js
@@ -0,0 +1,3 @@
+import HubConfig from './HubConfig.jsx';
+
+module.exports = {HubConfig}
diff --git a/hubs/static/client/webpack.config.js b/hubs/static/client/webpack.config.js
index f97606a..ba91ad0 100644
--- a/hubs/static/client/webpack.config.js
+++ b/hubs/static/client/webpack.config.js
@@ -8,6 +8,7 @@ const PATHS = {
 
 const config = {
     entry: {
+        Hubs: path.join(PATHS.app, 'core', 'Hubs.js'),
         Feed: path.join(PATHS.app, 'widgets', 'feed', 'Feed.jsx'),
     },
     output: {

